@rem - this batch file works in NT - it does NOT work in 95
@rem - the sh command is not interpreted correctly in 95
@rem MKS MUST be on the path
@rem and %MKSH% MUST be the MKS path with dbl bkslash, incl trailing
@rem e.g. set MKSH=e:\\mks\\binnt\\
@rem this requires 4 subdirectories off the current directory:
@rem     before;  after;  chkout;  merge
@rem this merges changes from before to after with chkout into merge
@
if %MKSH%.==. goto usem
if %1.==. goto use
if not exist before\%1 goto usef
if not exist after\%1 goto usef
if not exist chkout\%1 goto usef
copy chkout\%1 merge
if not exist merge\%1 goto usef
sh -c "(%MKSH%diff3 -EH merge\\%1 before\\%1 after\\%1; echo 'wq') | %MKSH%ed -s merge\\%1"
goto xit
@
:usem
@echo MKSH  MUST be the MKS path with dbl bkslash, incl trailing
@echo e.g. set MKSH=e:\\mks\\binnt\\
:usef
@echo file must exist in subdir before, after and chkout
@echo also subdir merge must exist
:use
@echo use %0 filename to merge (after-before) with chkout into merge
:xit

